Bug 739018 - USB: "lsusb -v" inside the guest fails.
Summary: USB: "lsusb -v" inside the guest fails.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 733272
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 10:38 UTC by Gerd Hoffmann
Modified: 2012-03-19 10:02 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 733272
Environment:
Last Closed: 2012-03-19 10:02:27 UTC


Attachments (Terms of Use)

Comment 1 Gerd Hoffmann 2011-09-16 10:41:24 UTC
Strange, doesn't reproduce locally ...
Does this happen with all devices, or just this one usb stick?

Comment 3 Shaolong Hu 2011-09-19 02:39:58 UTC
When using uhci, if passthrough a usb 2.0 stick, lsusb -v does cause a error:
usb 1-1: usbfs: USBDEVFS_CONTROL failed cmd lsusb rqt 128 rq 6 len 4 ret -110

but qemu-kvm does not hang, if i pass through a usb webcam, there is no error when issue lsusb -v.


When using ehci, passthrough usb 2.0 stick, the error will be:
usb 1-1: usbfs: USBDEVFS_CONTROL failed cmd lsusb rqt 128 rq 6 len 4 ret -110
usb 1-1: usbfs: USBDEVFS_CONTROL failed cmd lsusb rqt 128 rq 0 len 2 ret -110

this time, qemu-kvm and guest does not hang, i tried to passthrough the usb webcam, it prompts "speed mismatch trying to attach usb device USB camera to bus ehci.0", passthrough faild.

For we only have one kind of usb stick for testing, i use my own usb stick having a try, it won't hit the error, seems the usb stick we use for testing cause the problem, i also tried another usb stick of the same brand and model, it also hit the problem, this is its lsusb -v output in host:

Bus 001 Device 027: ID 0781:5567 SanDisk Corp. Cruzer Blade
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
  bDeviceProtocol         0
  bMaxPacketSize0        64
  idVendor           0x0781 SanDisk Corp.
  idProduct          0x5567 Cruzer Blade
  bcdDevice            1.03
  iManufacturer           1 SanDisk
  iProduct                2 Cruzer Blade
  iSerial                 3 2004431740112430FFEE
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              200mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               1
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0
  bDeviceProtocol         0
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)

Comment 4 Gerd Hoffmann 2011-12-12 10:42:47 UTC
Seems to specific to the particular device, lowering priority.

Comment 5 Gerd Hoffmann 2012-03-16 13:40:28 UTC
Can you retest with 6.3 snapshot whenever this is still present?

Comment 6 Shaolong Hu 2012-03-19 06:15:40 UTC
test with:
Toshiba Corp. Kingston DataTraveler 102 Flash Drive

this problem has gone.


Note You need to log in before you can comment on or make changes to this bug.